doing dist-upgrade got error related do Broadcom

Bug #1878045 reported by joaorami
108
This bug affects 21 people
Affects Status Importance Assigned to Milestone
bcmwl (Ubuntu)
High
Alberto Milone
Focal
Undecided
Marcelo Cerri
Groovy
Undecided
Unassigned

Bug Description

I had a working 20.04 installation running, including the Broadcom Wifi. After upgrade to 20.10 the Broadcom Wifi is not working. I tried several suggestions and always end to an error similiar to this one:
...
Building initial module for 5.4.0-30-generic
ERROR (dkms apport): kernel package linux-headers-5.4.0-30-generic is not supported
Error! Application of patch 0028-add-support-for-linux-5.6.patch failed.
Check /var/lib/dkms/bcmwl/6.30.223.271+bdcom/build/ for more information.
dpkg: error processing package bcmwl-kernel-source (--configure):
 installed bcmwl-kernel-source package post-installation script subprocess returned error exit status 6
Errors were encountered while processing:
 bcmwl-kernel-source
E: Sub-process /usr/bin/dpkg returned an error code (1)
...

ProblemType: Bug
DistroRelease: Ubuntu 20.10
Package: ubuntu-release-upgrader-core 1:20.10.1
ProcVersionSignature: Ubuntu 5.4.0-30.34-generic 5.4.34
Uname: Linux 5.4.0-30-generic x86_64
ApportVersion: 2.20.11-0ubuntu33
Architecture: amd64
CasperMD5CheckResult: skip
CrashDB: ubuntu
Date: Mon May 11 17:16:43 2020
InstallationDate: Installed on 2020-02-22 (78 days ago)
InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
PackageArchitecture: all
SourcePackage: ubuntu-release-upgrader
Symptom: dist-upgrade
UpgradeStatus: Upgraded to groovy on 2020-05-07 (3 days ago)
VarLogDistupgradeXorgFixuplog:
 INFO:root:/usr/bin/do-release-upgrade running
 INFO:root:No xorg.conf, exiting
mtime.conffile..etc.update-manager.release-upgrades: 2020-05-07T09:26:37.178586

Revision history for this message
joaorami (joaomppr) wrote :
affects: ubuntu-release-upgrader (Ubuntu) → bcmwl (Ubuntu)
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bcmwl (Ubuntu):
status: New → Confirmed
Revision history for this message
Garth McDermott (garthm) wrote :

Fresh 20.10 install, experienced the same issue caused when attempting either manually attempting to install "bcmwl-kernel-source_6.30.223.271+bdcom-0ubuntu6_amd64.deb" or using "Additional Drivers".

sudo apt-get remove --purge bcmwl-kernel-source

Synaptic Package Manager installed:
broadcom-sta-source
broadcom-sta-dkms
broadcom-sta-common

(It also added some dependencies)

Works again!

Revision history for this message
joaorami (joaomppr) wrote :

I did same and its working again, thanks! What I did:

apt purge bcmwl-kernel-source
apt-get install broadcom-sta-source
apt-get install broadcom-sta-dkms
apt-get install broadcom-sta-common

Revision history for this message
Wladimir Mutel (mwg) wrote :

Thanks, this eliminated the problem.
The only unexplained thing is what was the urge to break the "old" package which perfectly worked before. If Ubuntu planned to reorder/restructure package names, the reasonable way would be to turn 'bcmwl-kernel-source' into a dummy/transitional package which would pull new broadcom-sta-* packages as its dependencies. But probably Ubuntu plans were more mysterial than that.

Revision history for this message
apt-ghetto (apt-ghetto) wrote :

Thank you for this solution. It is working again.

Revision history for this message
Petr Janecek (janecekp) wrote :

There seems to be a bug in

/usr/src/bcmwl-6.30.223.271+bdcom/patches/0028-add-support-for-linux-5.6.patch

-- all the paths have the 'src' component doubled. Changed
all 'src/src' to just 'src' and it compiles and works for
me.

Revision history for this message
Norbert (nrbrtx) wrote :

Seeing this bug on 20.10 groovy system.

```
$ sudo apt dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n]
Setting up bcmwl-kernel-source (6.30.223.271+bdcom-0ubuntu6) ...
Removing old bcmwl-6.30.223.271+bdcom DKMS files...

------------------------------
Deleting module version: 6.30.223.271+bdcom
completely from the DKMS tree.
------------------------------
Done.
Loading new bcmwl-6.30.223.271+bdcom DKMS files...
Building for 5.4.0-42-generic
Building for architecture x86_64
Building initial module for 5.4.0-42-generic
ERROR: Cannot create report: [Errno 17] File exists: '/var/crash/bcmwl-kernel-source.0.crash'
Error! Application of patch 0028-add-support-for-linux-5.6.patch failed.
Check /var/lib/dkms/bcmwl/6.30.223.271+bdcom/build/ for more information.
dpkg: error processing package bcmwl-kernel-source (--configure):
 installed bcmwl-kernel-source package post-installation script subprocess returned error exit status 6
Errors were encountered while processing:
 bcmwl-kernel-source
E: Sub-process /usr/bin/dpkg returned an error code (1)

```

Revision history for this message
Yann (yourfrenchman) wrote :

I have exactly the same message as above on the 20.10 beta version.

Revision history for this message
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1878045

tags: added: iso-testing
Changed in bcmwl (Ubuntu):
milestone: none → ubuntu-20.10
Revision history for this message
Łukasz Zemczak (sil2100) wrote :

I have made sure that the kernel team is aware of this issue. We will not be able to deal with it for beta, but hopefully this will be resolved before the final release.

Changed in bcmwl (Ubuntu):
importance: Undecided → High
Changed in bcmwl (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bcmwl - 6.30.223.271+bdcom-0ubuntu7

---------------
bcmwl (6.30.223.271+bdcom-0ubuntu7) groovy; urgency=medium

  * debian/patches/0028-add-support-for-linux-5.6.patch:
    - Remove extra src prefix, which prevented the patch from
      being applied correctly (LP: #1878045).

 -- Alberto Milone <email address hidden> Fri, 02 Oct 2020 11:57:47 +0200

Changed in bcmwl (Ubuntu):
status: Confirmed → Fix Released
Revision history for this message
Scott Stensland (scottstensland) wrote :
Download full text (13.9 KiB)

on a fresh ubuntu 20.10 install ( not upgrade ) seeing same bug

wifi not working
in settings option to change wifi is grayed out
able to reach internet OK using ethernet

x86_64
5.8.0-26-generic
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=20.10
DISTRIB_CODENAME=groovy
DISTRIB_DESCRIPTION="Ubuntu 20.10"

uname -a
Linux andes 5.8.0-26-generic #27-Ubuntu SMP Wed Oct 21 22:29:16 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

 dpkg -l|grep bcmwl
ii bcmwl-kernel-source 6.30.223.271+bdcom-0ubuntu7 amd64 Broadcom 802.11 Linux STA wireless driver source
olaf@andes ~ $

sudo apt-get remove --purge bcmwl-kernel-source

sudo apt-get install broadcom-sta-source

   ran OK

sudo apt-get install broadcom-sta-source -y
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following package was automatically installed and is no longer required:
  dkms
Use 'sudo apt autoremove' to remove it.
The following additional packages will be installed:
  module-assistant
The following NEW packages will be installed:
  broadcom-sta-source module-assistant
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 2,308 kB of archives.
After this operation, 2,639 kB of additional disk space will be used.
Get:1 http://us.archive.ubuntu.com/ubuntu groovy/multiverse amd64 broadcom-sta-source all 6.30.223.271-14 [2,218 kB]
Get:2 http://us.archive.ubuntu.com/ubuntu groovy/universe amd64 module-assistant all 0.11.10 [90.3 kB]
Fetched 2,308 kB in 1s (2,106 kB/s)
Requesting to save current system state
Successfully saved as "autozsys_iyujmr"
Selecting previously unselected package broadcom-sta-source.
(Reading database ... 210357 files and directories currently installed.)
Preparing to unpack .../broadcom-sta-source_6.30.223.271-14_all.deb ...
Unpacking broadcom-sta-source (6.30.223.271-14) ...
Selecting previously unselected package module-assistant.
Preparing to unpack .../module-assistant_0.11.10_all.deb ...
Unpacking module-assistant (0.11.10) ...
Setting up broadcom-sta-source (6.30.223.271-14) ...
Setting up module-assistant (0.11.10) ...
Processing triggers for man-db (2.9.3-2) ...
ZSys is adding automatic system snapshot to GRUB menu

sudo apt-get install broadcom-sta-dkms -y
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
  broadcom-sta-dkms
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 2,210 kB of archives.
After this operation, 14.5 MB of additional disk space will be used.
Get:1 http://us.archive.ubuntu.com/ubuntu groovy/multiverse amd64 broadcom-sta-dkms all 6.30.223.271-14 [2,210 kB]
Fetched 2,210 kB in 0s (5,178 kB/s)
Requesting to save current system state
Successfully saved as "autozsys_x9zm88"
Selecting previously unselected package broadcom-sta-dkms.
(Reading database ... 210406 files and directories currently installed.)
Preparing to unpack .../broadcom-sta-dkms_6.30.223.271-14_all.deb ...
Unpacking broadcom-sta-dkms (6.30.223.271-14) ...
Setting up broadcom-sta-dkms (6.30.223.271-14) ...
Loading new broadcom-s...

Revision history for this message
Scott Stensland (scottstensland) wrote :

lspci | grep -i network
02:00.0 Network controller: Broadcom Inc. and subsidiaries BCM4352 802.11ac Wireless Network Adapter (rev 03)

sudo lshw -C network
  *-network UNCLAIMED
       description: Network controller
       product: BCM4352 802.11ac Wireless Network Adapter
       vendor: Broadcom Inc. and subsidiaries
       physical id: 0
       bus info: pci@0000:02:00.0
       version: 03
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress cap_list
       configuration: latency=0
       resources: memory:ed400000-ed407fff memory:ed200000-ed3fffff
  *-network
       description: Ethernet interface
       physical id: 1
       bus info: usb@2:2
       logical name: enx000edab6c1eb
       serial: 00:0e:da:b6:c1:eb
       size: 1Gbit/s
       capacity: 1Gbit/s
       capabilities: ethernet physical tp mii 10bt 10bt-fd 100bt 100bt-fd 1000bt 1000bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=ax88179_178a driverversion=5.8.0-26-generic duplex=full ip=192.168.0.167 link=yes multicast=yes port=MII speed=1Gbit/s

Revision history for this message
Rafael Santos (rafae-s) wrote :

Greetings!

I am using Ubuntu 20.04 on an Acer Aspire TimelineX 4820 and after updating the packages today, my Broadcom --- stopped working.

I proceeded with the steps described above:
apt purge bcmwl-kernel-source
apt-get install broadcom-sta-source
apt-get install broadcom-sta-dkms
apt-get install broadcom-sta-common

And it got back to work. I have found this thread searching for a solution, and as this one is about 20.10, I thought that perhaps sharing that it also happened to a 20.04 installation recently may help.

Revision history for this message
Rafael Santos (rafae-s) wrote :

I forgot to paste the model of the Broadcom model, it is BCM43225.

Revision history for this message
Robin Métral (ro5in) wrote :

I'm also on 20.04 and my network connection stopped working after an update today. I have a Broadcom BCM4360.

I got things working again by following the steps shared by rafae-s (thank you!), but I expect that other 20.04 users will come across the same problem in the next couple of days.

Does a fix for 20.04 also need to be released?

Revision history for this message
Angels Trias-i-Valls (angelstiv) wrote :

I am also on 20.04.1 and my wifi connection has never worked. I have BCM4312.

I tried all the steps above, but it did not work.

It can detect if I am on airplane mode, but it does not switch to wi-fi. I have followed all the https://ubuntuforums.org/showthread.php?t=2214110 previous threads too.

The Additional drivers, the Broadcom ones (device is not working). Using broadcom 802 does not allow me to select (I was able to select before between Broadcom, continue using manually, do not use device). At the moment it is set on 'do not use device' and it won't unselect from this option.
Waiting for the fix!

Revision history for this message
Meeraj Wadhwa (mwadh) wrote :

@angels I have the same issue, did you find the fix?

Revision history for this message
Adrian (adziak20) wrote :

@angels After the latest update I had that issue too. Wifi bar in the settings was completely gone. When I typed: "apt purge bcmwl-kernel-source" command I got this message:
E: Could not open lock file /var/lib/dpkg/lock-frontend - open (13: Permission denied)
E: Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend), are you root?

I tried again with sudo prefix and it worked, so if you are still having the issue try this:
sudo apt purge bcmwl-kernel-source
sudo apt-get install broadcom-sta-source
sudo apt-get install broadcom-sta-dkms
sudo apt-get install broadcom-sta-common

Hope it will work for you as well!

Revision history for this message
Alex (xbakesx) wrote :

I'm in the same boat as @adrian and @meeraj and @angels. I clicked through on the update windows when I got them last week (or there abouts) and the next time I rebooted I had no wifi at all.

I followed the suggestion to purge the bcmwl-kernel-source package and install the three broadcom ones, now my Additional Drivers page shows I have three options. Using the Broadcom one is disabled, Do not use this device is selected and disabled; and the new one Continuing using manually installed driver. Selecting that doesn't let me apply and I don't know what to do here...

I should add I have Ubuntu 20.04 running on a MacBookPro from... some old year... 2015?

Revision history for this message
Meeraj Wadhwa (mwadh) wrote :

I have the same problem like @Alex explain, adding to that when i run `lshw -C network`

I noticed wireless network is not claimed. How to claim it?

`*-network UNCLAIMED
       description: Network controller
       product: BCM4331 802.11a/b/g/n
       vendor: Broadcom Inc. and subsidiaries
       physical id: 0
       bus info: pci@0000:02:00.0
       version: 02
       width: 64 bits
       clock: 33MHz
       capabilities: bus_master cap_list
       configuration: latency=0
       resources: memory:a0600000-a0603fff`

Revision history for this message
Karsten Goen (captainkago) wrote :

Hey, I got still the same problem.
release: 20.04

```
02:00.0 Network controller: Broadcom Inc. and subsidiaries BCM43142 802.11b/g/n (rev 01)
 Subsystem: AzureWave BCM43142 802.11b/g/n
 Kernel driver in use: wl
 Kernel modules: wl
# ip l set wlp2s0 up && ip a
3: wlp2s0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc fq_codel state UNKNOWN group default qlen 1000

root@laptop:~# dpkg -l |grep broadcom
ii broadcom-sta-common 6.30.223.271-12 all Common files for the Broadcom STA Wireless driver
ii broadcom-sta-dkms 6.30.223.271-12 all dkms source for the Broadcom STA Wireless driver
ii broadcom-sta-source 6.30.223.271-12 all Source for the Broadcom STA Wireless driver
root@laptop:~# dpkg -l |grep bcm
root@laptop:~#
```

everything up to date on 20.04.

Revision history for this message
kosmas kosmidis (kosmaskos) wrote :

Thank you very mach.
You are my HERO !!!!!

Revision history for this message
Volodymyr (vladoche) wrote :

This thread has saved me from the 3 days nightmare.
Thank you joaorami (joaomppr)

Revision history for this message
Pilot6 (hanipouspilot) wrote :

sudo apt install broadcom-sta-dkms

is enough. You don't need all 3 packages.

Revision history for this message
Francisco Morelli (franciscomorelli87) wrote :

Thanks joaorami (joaomppr)!
I've tried your solution and is working fine for BCM4312 on Ubuntu 20.04 with kernel 5.8.0-38

Revision history for this message
Thomas Staerk (staerk) wrote :

Since the last update I was faced with the same problem on Ubuntu 20.04 with a broadcom BCM4312.

The described solution with
sudo apt purge bcmwl-kernel-source
sudo apt-get install broadcom-sta-source
sudo apt-get install broadcom-sta-dkms
sudo apt-get install broadcom-sta-common

worked well for me!!

Revision history for this message
Alex (xbakesx) wrote :

After running updates again today the problem is now resolved for me. I foolishly did not check the versions of broadcom-sta-[source/dkms/common] that did not work for me and what now does work for me or if it was some other component that also needed updating.

Thanks for all the help!

Revision history for this message
Marvin Schin (supernoob3000) wrote :

Hi everybody,
my wifi (BCM43228) was working fine on focal with kernel 5.8. generic
But when I updated to groovy wifi does not work neither on 5.10 nor 5.11 generic.
I tried a lot of things, but nothing worked so far. Also not the solution described above. I get the messages:

Loading new broadcom-sta-6.30.223.271 DKMS files...
Building for 5.10.11-051011-generic
Building initial module for 5.10.11-051011-generic
ERROR (dkms apport): kernel package linux-headers-5.10.11-051011-generic is not supported
Error! Bad return status for module build on kernel: 5.10.11-051011-generic (x86_64)
Consult /var/lib/dkms/broadcom-sta/6.30.223.271/build/make.log for more information.
dpkg: error processing package broadcom-sta-dkms (--configure):
 installed broadcom-sta-dkms package post-installation script subprocess returned error exit status 10
Errors were encountered while processing:
 broadcom-sta-dkms

Anybody has an idea what I can do?
(Sorry for any mistakes/fauxpas... I am a newbie)

Revision history for this message
apt-ghetto (apt-ghetto) wrote :

@supernoob3000

20.10 is still using kernel 5.8.

If you want help, you should open a new bug report and describe all the steps and configuration changes.

Marcelo Cerri (mhcerri)
Changed in bcmwl (Ubuntu Groovy):
status: New → Fix Released
Changed in bcmwl (Ubuntu Focal):
status: New → In Progress
Revision history for this message
Marcelo Cerri (mhcerri) wrote :
Changed in bcmwl (Ubuntu Focal):
assignee: nobody → Marcelo Cerri (mhcerri)
Marcelo Cerri (mhcerri)
Changed in bcmwl (Ubuntu Focal):
status: In Progress → Invalid
To post a comment you must log in.